开发者社区> 镜像站> NPM> videojs-generate-postcss-config
videojs-generate-postcss-config
Generate a standard postcss config, so that plugins don't need the same script in every repository.
Last updated 10 months ago by misteroneill .
Apache-2.0 · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install videojs-generate-postcss-config 
SYNC missed versions from official npm registry.

videojs-generate-postcss-config

Build Status Greenkeeper badge Slack Status

NPM

Currently our postcss configs are the same for most plugins, but when the default config changes a bit, every repository has to be updated since it is a static file. This package will provide the standard config as a module, so that updates can be deployed much easier.

Lead Maintainer: Brandon Casey @brandonocasey

Maintenance Status: Stable

Table of Contents

Installation

$ npm install --save-dev postcss-cli videojs-generate-postcss-config

Then in your postcss config do

const generatePostcssConfig = require('videojs-generate-postcss-config');

module.exports = function(context) {
  const options = {};

  return generatePostcssConfig(context, options);
};

Options

options that are passed as an object to the generatePostcssConfig function.

browserslist

Type: string|Array Default: ['defaults', 'ie 11']

What browser syntax should be supported in the browser/test dist files. Can also be specified in the package.json as a top level browserslist key/value. See the browserslist repo for more information.

banner

Type: string Default: /*! @name ${pkg.name} @version ${pkg.version} @license ${pkg.license} */

The banner that should be inserted to the top of all bundles. You probably should not change this from the default!

Current Tags

  • 3.0.0                                ...           experimental (a month ago)
  • 2.1.1                                ...           latest (10 months ago)

8 Versions

  • 3.0.0                                ...           a month ago
  • 2.2.0                                ...           a month ago
  • 2.1.1                                ...           10 months ago
  • 2.1.0                                ...           2 years ago
  • 2.0.1                                ...           2 years ago
  • 2.0.0                                ...           2 years ago
  • 1.0.1                                ...           2 years ago
  • 1.0.0                                ...           2 years ago